package com.ruoyi.clMaterial.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 材料管理对象 c_yl_material
 *
 * @author ruoyi
 * @date 2024-02-28
 */
public class CYlMaterial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long materialId;

    /** 编码 */
    @Excel(name = "编码")
    private String materialNo;

    /** 名称 */
    @Excel(name = "名称")
    private String materialName;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal materialPrice;

    /** 停用状态 */
    @Excel(name = "停用状态")
    private String materialState;

    public void setMaterialId(Long materialId)
    {
        this.materialId = materialId;
    }

    public Long getMaterialId()
    {
        return materialId;
    }
    public void setMaterialNo(String materialNo)
    {
        this.materialNo = materialNo;
    }

    public String getMaterialNo()
    {
        return materialNo;
    }
    public void setMaterialName(String materialName)
    {
        this.materialName = materialName;
    }

    public String getMaterialName()
    {
        return materialName;
    }
    public void setMaterialPrice(BigDecimal materialPrice)
    {
        this.materialPrice = materialPrice;
    }

    public BigDecimal getMaterialPrice()
    {
        return materialPrice;
    }

    public String getMaterialState() {
        return materialState;
    }

    public void setMaterialState(String materialState) {
        this.materialState = materialState;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("materialId", getMaterialId())
            .append("materialNo", getMaterialNo())
            .append("materialName", getMaterialName())
            .append("materialPrice", getMaterialPrice())
            .toString();
    }
}
